summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorStephen Sinclair <radarsat1@gmail.com>2016-02-12 11:05:34 -0300
committerStephen Sinclair <radarsat1@gmail.com>2016-02-12 12:13:20 -0300
commitfbcd1910a3ea72ec6dc50d50c3f7848e6861abc4 (patch)
tree1ecdfec46e197fe1f44944842a70653960241290 /autogen.sh
parent0f60381cb4ed79bb40979c106ee1515df85c4873 (diff)
Port the build system to automake.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh107
1 files changed, 107 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..8bd52e8
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,107 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+DIE=0
+
+if test -z "$*"; then
+ echo "**Warning**: I am going to run \`configure' with arguments for"
+ echo "developer/maintainer mode. If you wish to pass extra arguments,"
+ echo "(such as --prefix), please specify them on the \`$0'"
+ echo "command line."
+ echo "If you wish to run configure yourself, please specify --no-configure."
+ echo
+fi
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level package directory"
+ exit 1
+}
+
+# Make some directories required by automake, if they don't exist
+if ! [ -d config ]; then mkdir -v config; fi
+if ! [ -d m4 ]; then mkdir -v m4; fi
+
+if ! autoreconf --version </dev/null >/dev/null 2>&1
+then
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have \`autoconf' installed."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+(grep "^LT_INIT" $srcdir/configure.ac >/dev/null) && {
+ (libtoolize --version) < /dev/null > /dev/null 2>&1 \
+ && LIBTOOLIZE=libtoolize || {
+ (glibtoolize --version) < /dev/null > /dev/null 2>&1 \
+ && LIBTOOLIZE=glibtoolize || {
+ echo
+ echo "**Error**: You must have \`libtool' installed."
+ echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+ }
+ }
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have \`automake' installed."
+ echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+ NO_AUTOMAKE=yes
+}
+
+
+# if no automake, don't bother testing for aclocal
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: Missing \`aclocal'. The version of \`automake'"
+ echo "installed doesn't appear recent enough."
+ echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
+ DIE=1
+}
+
+if test "$DIE" -eq 1; then
+ exit 1
+fi
+
+case $CC in
+xlc )
+ am_opt=--include-deps;;
+esac
+
+echo "Running aclocal $aclocalinclude ..."
+aclocal $ACLOCAL_FLAGS || exit 1
+echo "Running $LIBTOOLIZE ..."
+$LIBTOOLIZE || exit 1
+echo "Running automake --gnu $am_opt ..."
+automake --add-missing --gnu $am_opt || exit 1
+echo "Running autoconf ..."
+autoconf || exit 1
+
+else # autoreconf instead
+
+ echo "Running autoreconf --verbose --install ..."
+ autoreconf --verbose --install || exit 1
+
+fi
+
+if ( echo "$@" | grep -q -e "--no-configure" ); then
+ NOCONFIGURE=1
+fi
+
+conf_flags="--enable-maintainer-mode --enable-debug --disable-silent-rules"
+
+if test x$NOCONFIGURE = x; then
+ echo Running $srcdir/configure $conf_flags "$@" ...
+ $srcdir/configure $conf_flags "$@" \
+ && echo Now type \`make\' to compile. || exit 1
+else
+ echo Skipping configure process.
+fi